Package org.drinkless.tdlib

# Class TdApi.InputPollTypeQuiz

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPollType
org.drinkless.tdlib.TdApi.InputPollTypeQuiz

Enclosing class:
  `TdApi`

public static class TdApi.InputPollTypeQuiz extends TdApi.InputPollType
A poll in quiz mode, which has predefined correct answers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputPollType

  `TdApi.InputPollType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `correctOptionIds`
  Increasing list of 0-based identifiers of the correct answer options; must be non-empty.
  `TdApi.FormattedText`
  `explanation`
  Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds.
  `TdApi.InputMessageContent`
  `explanationMedia`
  Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPollTypeQuiz()`
  A poll in quiz mode, which has predefined correct answers.
  `InputPollTypeQuiz(int[] correctOptionIds, TdApi.FormattedText explanation, TdApi.InputMessageContent explanationMedia)`
  A poll in quiz mode, which has predefined correct answers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### correctOptionIds

    public int[] correctOptionIds
    Increasing list of 0-based identifiers of the correct answer options; must be non-empty.

  - ### explanation

    public TdApi.FormattedText explanation
    Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds.

  - ### explanationMedia

    public TdApi.InputMessageContent explanationMedia
    Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; pass null if none. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, non-live inputMessageLocation, inputMessagePhoto, inputMessageVenue, or inputMessageVideo without caption.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPollTypeQuiz

    public InputPollTypeQuiz()
    A poll in quiz mode, which has predefined correct answers.

  - ### InputPollTypeQuiz

    public InputPollTypeQuiz(int[] correctOptionIds, TdApi.FormattedText explanation, TdApi.InputMessageContent explanationMedia)
    A poll in quiz mode, which has predefined correct answers.
    Parameters:
      `correctOptionIds` - Increasing list of 0-based identifiers of the correct answer options; must be non-empty.
      `explanation` - Text that is shown when the user chooses an incorrect answer or taps on the lamp icon; 0-200 characters with at most 2 line feeds.
      `explanationMedia` - Media that is shown when the user chooses an incorrect answer or taps on the lamp icon; pass null if none. Must be one of the following types: inputMessageAnimation, inputMessageAudio, inputMessageDocument, non-live inputMessageLocation, inputMessagePhoto, inputMessageVenue, or inputMessageVideo without caption.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputPollType`
    Returns:
      this.CONSTRUCTOR